<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Superarvuti</title>
    <style>
        * {
            margin: 0px;
            padding: 0px;
            font-family: Calibri, Arial, Helvetica, sans-serif;
            font-size: 1.1em;
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }

        h1 {
            font-size: 2em;
            color: darkslateblue;
        }

        #container {
            width: 100%;
            height: 100%;
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column;
        }

        #calculator {
            display: grid;
            grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
            grid-template-rows: 1fr 1fr 1fr 1fr;
            grid-template-areas:
                "number1Text number1Text number1Input number1Input number1Input"
                "number2Text number2Text number2Input number2Input number2Input"
                "opAdd opSub opMult opDiv opClear"
                "result result result result result";
            background: lightskyblue;
            width: 80%;
            height: 50%;
        }

        #calculator div {
            display: flex;
            justify-content: center;
            align-items: center;
            border: 1px solid darkslateblue;
        }

        #number1Text {
            grid-area: number1Text;
            color: darkslateblue;
        }

        #number1Input {
            grid-area: number1Input;
        }

        #number1Input input {
            width: 80%;
            height: 80%;
            text-align: center;
        }

        #number2Text {
            grid-area: number2Text;
            color: darkslateblue;
        }

        #number2Input {
            grid-area: number2Input;
        }

        #number2Input input {
            width: 80%;
            height: 80%;
            text-align: center;
        }

        #opAdd {
            grid-area: opAdd;
        }

        #opSub {
            grid-area: opSub;
        }

        #opMult {
            grid-area: opMult;
        }

        #opDiv {
            grid-area: opDiv;
        }

        #opClear {
            grid-area: opClear;
        }

        #result {
            grid-area: result;
            color: darkslateblue;
        }

        .operation:hover {
            background: darkslateblue;
            color: white;
            cursor: pointer;
        }
    </style>
</head>

<body>
    <div id="container">
        <h1>Superarvuti</h1>
        <div id="calculator">
            <div id="number1Text">Number 1:</div>
            <div id="number1Input"><input type="number"></div>
            <div id="number2Text">Number 2:</div>
            <div id="number2Input"><input type="number"></div>
            <div class="operation" id="opAdd" onclick="operationAdd()">+</div>
            <div class="operation" id="opSub">-</div>
            <div class="operation" id="opMult">X</div>
            <div class="operation" id="opDiv">/</div>
            <div class="operation" id="opClear">C</div>
            <div id="result">[TULEMUS]</div>
        </div>
    </div>
    <script>
        // Sinu kood siia
        // const x = document.querySelector('#number1Input input').value

        // Method 1:
        // 	<button onclick= "alert ('Hello John.');">
        // 		run some java script 
        // 	</button>
        // Method 2:
        // 	myElement.onclick = function () {
        // 		// Event handler code
        // 	};
        // Method 3:
        // 	document.addEventListener('click', myFunction, false);

        function operationAdd() {
            console.log('Liidame...')
            const number1Value = document.querySelector('#number1Input input').value
            const number2Value = document.querySelector('#number2Input input').value
            console.log(number1Value, number2Value)

            const resultElement = document.querySelector('#result')
            resultElement.innerHTML = parseInt(number1Value) + parseInt(number2Value)
        }

        function operationSub() {
            const number1Value = document.querySelector('#number1Input input').value
            const number2Value = document.querySelector('#number2Input input').value
            const resultElement = document.querySelector('#result')
            resultElement.innerHTML = parseInt(number1Value) - parseInt(number2Value)
        }
        document.querySelector('#opSub').addEventListener('click', operationSub)

        function operationMult() {
            displayResult(getNum1() * getNum2())
        }
        document.querySelector('#opMult').addEventListener('click', operationMult)

        document.querySelector('#opDiv')
            .addEventListener('click', () => displayResult(getNum1() / getNum2()))


        function operationReset() {
            document.querySelector('#number1Input input').value = ''
            document.querySelector('#number2Input input').value = ''
            document.querySelector('#result').innerHTML = '[TULEMUS]'
        }
        document.querySelector('#opClear').addEventListener('click', operationReset)

        // Abifunktsioonid

        function getNum1() {
            return parseInt(document.querySelector('#number1Input input').value)
        }

        function getNum2() {
            return parseInt(document.querySelector('#number2Input input').value)
        }

        function displayResult(resultValue) {
            const resultElement = document.querySelector('#result')
            resultElement.innerHTML = resultValue
        }

    </script>
</body>

</html>